### Method

# FwupdPlugin Device add_string

#### Declaration [src]

    void
    fu_device_add_string (
      FuDevice* self,
      guint idt,
      GString* str
    )

#### Description [src]

Add daemon-specific device metadata to an existing string.

Available since: | 1.7.1

#### Parameters

`idt` | `guint`
| Indent level.
`str` | `GString`
| A string to append to.
| The data is owned by the caller of the function.